#
# spec file for package bash1 (Version 1.14.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bash1
Copyright:    1989 Free Software Foundation, Inc.
Group:        System Environment/Shells
#Provides:     bash 
Autoreqprov:  on
Version:      1.14.7
Release:      394
Summary:      The GNU Bourne-Again Shell (older version)
Source: bash-1.14.7.tar.bz2
Patch:  bash-1.14.7.dif
Patch1: bash-1.14.7-s390.patch
Patch2: bash-1.14.7-tmpfile.patch
Patch3: bash-1.14.7-ia64.dif

%description
Since the new bash version 2.x is somewhat stricter in its syntax
checking than version 1.x, we are keeping the older version as bash1 in
the distribution.
If you have scripts that don't satisfy the stricter rules of 2.x and you
don't want to look for the errors, simply replace "/bin/sh" with
"/bin/bash1" in the first line.
The script will then be run by the old bash shell.

Authors:
--------
    Chet Ramey <chet@po.cwru.edu>

SuSE series: a

%prep
%setup -n bash-1.14.7
%patch -P 0 -p0 -b .dif
%patch -P 1 -p1 -b .s390
%patch -P 2 -p0 -b .tmpfile
%patch -P 3 -p0 -b .dif

%build
    make -f Makefile.Linux compile

%install
    make -f Makefile.Linux install

%files
/bin/bash1
%doc %{_mandir}/man1/bash1.1.gz

%changelog -n bash1
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Feb 13 2001 - sf@suse.de
- added ia64
- added missing includes (stdlib and string) to make it compile
* Tue Dec 19 2000 - werner@suse.de
- Close temporary file security hole
* Fri Oct 06 2000 - kukuk@suse.de
- Change group tag
* Mon Apr 03 2000 - bk@suse.de
- s390 team added s390 support
* Tue Feb 15 2000 - aj@suse.de
- Fix for sparc, use /usr/share/man.
* Thu Dec 23 1999 - ro@suse.de
- added linux-ppc
* Fri Nov 26 1999 - kukuk@suse.de
- Add patch for SPARC
* Tue Sep 14 1999 - ro@suse.de
- removed "Provides bash"
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Mar 02 1999 - ro@suse.de
- don't redeclare strchr if defined as a macro
* Wed Jan 27 1999 - ro@suse.de
- added linux-alpha
* Thu Jul 16 1998 - werner@suse.de
- make bashbug handle existing temp files
* Thu May 08 1997 - bs@suse.de
  bash1.tgz     - new package (old bash 1.14.7)
  install bash as bash1 and man page as bash1.1...
* Thu Jan 02 1997 - 
  new version with security patches
* Thu Jan 02 1997 - florian@suse.de
  security fix included (0xff was command separator)
